Bug 239951 - graphics/libspiro: Update to 20190731
Summary: graphics/libspiro: Update to 20190731
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-18 18:40 UTC by Naram Qashat
Modified: 2019-09-09 13:41 UTC (History)
1 user (show)

See Also:


Attachments
libspiro-20190731.patch (3.51 KB, patch)
2019-08-18 18:40 UTC, Naram Qashat
cyberbotx: maintainer-approval+
Details | Diff
libspiro-20190731.patch (3.81 KB, patch)
2019-08-18 20:13 UTC, Naram Qashat
cyberbotx: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Naram Qashat 2019-08-18 18:40:39 UTC
Created attachment 206670 [details]
libspiro-20190731.patch

* Update to 20190731 (yes, they went from 0.5.x to that)
* Update Makefile to appease portlint
* Update distinfo
* Update pkg-plist
* Update patch-Makefile.am

Changelog:

https://github.com/fontforge/libspiro/releases/tag/20190731

Tested in poudriere for 12-amd64, 12-i386, 11-amd64 and 11-i386. Passes portlint.
Comment 1 Naram Qashat 2019-08-18 20:13:47 UTC
Created attachment 206679 [details]
libspiro-20190731.patch

Replacing the patch with one that just includes an extra change of updating the pkg-descr's WWW to the GitHub for the library.
Comment 2 Kurt Jaeger freebsd_committer 2019-08-19 18:50:29 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2019-08-19 18:50:55 UTC
A commit references this bug:

Author: pi
Date: Mon Aug 19 18:50:19 UTC 2019
New revision: 509300
URL: https://svnweb.freebsd.org/changeset/ports/509300

Log:
  graphics/libspiro: upgrade 0.5.20150702 -> 20190731

  - MASTER_SITE moved from SF to github

  PR:		239951
  Submitted by:	Naram Qashat <cyberbotx@cyberbotx.com> (maintainer)
  Relnotes:	https://github.com/fontforge/libspiro/blob/master/ChangeLog

Changes:
  head/graphics/libspiro/Makefile
  head/graphics/libspiro/distinfo
  head/graphics/libspiro/files/patch-Makefile.am
  head/graphics/libspiro/pkg-descr
  head/graphics/libspiro/pkg-plist
Comment 4 commit-hook freebsd_committer 2019-09-09 13:41:32 UTC
A commit references this bug:

Author: tobik
Date: Mon Sep  9 13:41:30 UTC 2019
New revision: 511630
URL: https://svnweb.freebsd.org/changeset/ports/511630

Log:
  Belatedly bump revision of graphics/libspiro consumers

  In r509300 libspiro was updated and there was a shared library bump,
  but consumers were never bumped.

  https://forums.freebsd.org/threads/gimp-wont-compile.72223/

  PR:		239951
  Pointy hat:	pi

Changes:
  head/graphics/gegl/Makefile
  head/print/fontforge/Makefile